MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024644Open CASCADE[OCCT] OCCT:DRAWpublic2014-02-19 14:432019-05-06 23:14
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024644: Draw_Printer - provide the way to control messages gravity filter
DescriptionSend() methods of Message_Printer interface have message gravity argument. However there are no unified interface to setup gravity filter - only Message_PrinterOStream class has SetTraceLevel() method, and no such option in Draw_Printer class (as result all messages with Message_Trace level are omitted by default (in applications with not redefined default printer) and printed within Draw Harness).

It is suggested to move this SetTraceLevel()/GetTraceLevel() methods to Message_Printer level and implement Draw Harness command dtracelevel to configure filter.
Additional information
and documentation updates
New Draw Harness command dtracelevel to show/change message gravity filter of printers registered for default messenger.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029124closedbugmaster Visualization, Tests - failures when tests are executed via Remote Desktop connection 
related to 0030697newkgv Draw Harness - Draw_Printer should not be set to Message::DefaultMessenger() by default 

-  Notes
(0027969)
kgv (developer)
2014-02-19 22:33

Patch is ready for review in branch CR24644.

One more issue has been observed within this patch - Draw_Printer replaces default Message_PrinterOStream only within XSDRAW plugin. Maybe it should be registered always within Draw Harness?
(0028127)
abv (manager)
2014-03-04 15:38

Yes sure I believe specific Draw printer should be set in TKDraw, not TKXSDRAW, as it is common functionality (the reason it is in TKXSDRAW is that messages were first implemented in DE components, and not all was correctly updated when messages were promoted to TKernel).

Could you please do this in the same patch?

Another minor remark: in the new DRAW command, dtracelevel, in case of wrong number of input arguments it is better to give indication of the right number instead of just error message "Wrong number of arguments!", for instance:

"Use: dtracelevel [trace|info|warn|alarm|fail]"

Further, I suggest that all error messages start with "Error:" for easier recognition

(0028138)
kgv (developer)
2014-03-04 18:05

Updated patch is ready for review in CR24644_1 branch (CR24644 contains history).
(0028186)
abv (manager)
2014-03-08 21:49

Looks Ok, please test
(0028230)
mkv (tester)
2014-03-12 15:31

Dear BugMaster,

Branch CR24644_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: f54634eaba0def862414d3a6bce624b9a2890cc8

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24644-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24644-1-master-occt/Windows-32-VC9/summary.html [^]
Improvements:
de step_1(004) N3
de step_2(005) E5, O3, P5, Y5
de step_3(006) F2
Failed:
bugs iges(003) bug23018
bugs step(014) bug24024
bugs vis(004) bug22849
bugs xde(005) bug21124, bug22915, bug23570
de iges_1(001) B3, B6, B9, E3, E4, E5, E6, G7, H5, H6, H7, H8, I5, I6, I7, J8, J9, L2, M1, M9, N9, O1, O6, O8, O9, P1, P5, P6, Q2, Q6, Q8, R6, R7, R8
de iges_2(002) A3, A4, A5, A7, B1, B5, B9, C1, C2, C7, D1, D3, D4, D5, D7, D8, E1, F2, F3, F4, F5, F6, F7, F8, F9, G2, G8, G9, H1, H3, H4, H6, H9, I5, I9
de iges_3(003) A1, A2, A3, A4, A6, A7, A8, A9
de step_1(004) C7, I4, J6, M4, M6, M8, R9, T1, ZD1, ZD6, ZP2, ZS2, ZS5, ZT6, ZX9, ZY6, ZY7
de step_2(005) A2, A6, B8, C9, D6, E7, F6, F7, G5, G6, H1, H3, I7, J1, T9
de step_3(006) A5, A9, B8, C4, D1, D3, D8, E6
de step_4(007) A6, D6, F4, F7, G1, G6
de step_5(008) A6

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 371669700 / 371997876
Total CPU difference: 47083.059999999874 / 38399.54999999999

Testing on Windows:
Total MEMORY difference: 420323648 / 419432320
Total CPU difference: 28503.296875 / 26882.484375

There are not differences in images found by testdiff.
(0028237)
kgv (developer)
2014-03-12 17:36

Dear bugmaster,

please test updated branch CR24644_1.
(0028329)
mkv (tester)
2014-03-18 18:24

Dear BugMaster,

Branch CR24644_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: ff24812cc24d99fef14b8736494d0dc6a119edf5

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 385381392 / 386252568
Total CPU difference: 45179.90999999987 / 48827.240000000005

Testing on Windows:
Total MEMORY difference: 431403120 / 430913404
Total CPU difference: 33021.296875 / 35761.53125

There are not differences in images found by testdiff.

- Related Changesets
occt: master 785a9540
Timestamp: 2014-03-20 09:38:41
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024644: Draw_Printer - provide the way to control messages gravity filter

Message_Printer - define GetTraceLevel()/SetTraceLevel() methods in base interface.
Implement message gravity filter in Draw_Printer.
Add new Draw Harness command dtracelevel to show/change message gravity filter.
Redirect default messenger to Draw_Printer within TKDraw instead of TKXSDRAW

Draw::Commands() - assign Draw_Printer only once
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Commands.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.hxx Diff ] File ]
mod - src/Draw/Draw_Printer.cxx Diff ] File ]
mod - src/Message/Message_Printer.cdl Diff ] File ]
mod - src/Message/Message_Printer.cxx Diff ] File ]
add - src/Message/Message_Printer.lxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.cdl Diff ] File ]
mod - src/Message/Message_PrinterOStream.cxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.lxx Diff ] File ]
mod - src/XSDRAW/XSDRAW.cxx Diff ] File ]
mod - src/XSDRAWIGES/XSDRAWIGES.cxx Diff ] File ]
mod - src/XSDRAWSTEP/XSDRAWSTEP.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-19 14:43 kgv New Issue
2014-02-19 14:43 kgv Assigned To => mkv
2014-02-19 14:44 kgv Assigned To mkv => kgv
2014-02-19 14:44 kgv Status new => assigned
2014-02-19 22:33 kgv Note Added: 0027969
2014-02-19 22:33 kgv Assigned To kgv => abv
2014-02-19 22:33 kgv Status assigned => resolved
2014-02-19 22:33 kgv Additional Information Updated View Revisions
2014-03-04 15:38 abv Note Added: 0028127
2014-03-04 15:38 abv Assigned To abv => kgv
2014-03-04 15:38 abv Status resolved => assigned
2014-03-04 18:05 kgv Note Added: 0028138
2014-03-04 18:05 kgv Assigned To kgv => abv
2014-03-04 18:05 kgv Status assigned => resolved
2014-03-08 21:49 abv Note Added: 0028186
2014-03-08 21:49 abv Assigned To abv => bugmaster
2014-03-08 21:49 abv Status resolved => reviewed
2014-03-11 11:50 mkv Assigned To bugmaster => mkv
2014-03-12 15:31 mkv Note Added: 0028230
2014-03-12 15:32 mkv Test case number => Not needed
2014-03-12 15:32 mkv Assigned To mkv => kgv
2014-03-12 15:32 mkv Status reviewed => assigned
2014-03-12 17:36 kgv Note Added: 0028237
2014-03-12 17:36 kgv Assigned To kgv => bugmaster
2014-03-12 17:36 kgv Status assigned => feedback
2014-03-13 10:06 bugmaster Assigned To bugmaster => mkv
2014-03-13 10:06 bugmaster Status feedback => assigned
2014-03-18 08:39 kgv Status assigned => feedback
2014-03-18 18:24 mkv Note Added: 0028329
2014-03-18 18:25 mkv Assigned To mkv => bugmaster
2014-03-18 18:25 mkv Status feedback => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master 785a9540
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed
2017-09-22 16:12 kgv Relationship added related to 0029124
2019-05-06 23:14 kgv Relationship added related to 0030697


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker